// 分页处理器
export default {

    // 根据page获取到数据列表级
    page(data,page=1,pageSize=10){
        let start = (page - 1) * pageSize;
        return data.slice(start,start + pageSize);
    },

    // 向data中注入数据，重复的不添加
    addItem(data,dataOrder,item,id,type='push'){
        if (dataOrder.indexOf(id) < 0) {
            dataOrder[type](id);
            data[id] = item;
        }
    },

    // 移除 data 中的数据
    removeItem(data,dataOrder,id){
        let index = dataOrder.indexOf(id);
        if (index >= 0) {
            dataOrder.splice(index,1);
            delete data[id]
        }
    },

    // 根据表获取数据
    getData(data,dataOrder) {
        return dataOrder.map((item)=>{
            return data[item];
        });
    },

}